import { Plugin, PluginMainLink, ShortCutLink } from 'boot/plugins';
import routes from 'src/plugins/plugin-example/routes';

const mainLink: PluginMainLink = {
  name: 'plugin1',
  title: 'Plugin1',
  link: 'plugin1',
  icon: 'mdi-toy-brick',
  children: [
    {
      name: 'plugin1',
      title: 'Neues Plugin1',
      link: 'plugin1_1',
      icon: 'mdi-information-outline'
    },
    {
      name: 'plugin1',
      title: 'Altes Plugin1',
      link: 'plugin1_2',
      icon: 'mdi-information-variant'
    }
  ]
};

const plugin: Plugin = {
  routes,
  mainLink,
  name: mainLink.name,
  requiredModules: [],
  shortcuts: [],
  shortcutsOut: [],
  version: '1.0.2'
};

export { mainLink };

export default plugin;
